cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/pricing_periods/261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.pricing_periods.get_settings_pricing_period(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.pricingPeriods.getSettingsPricingPeriod('261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->pricingPeriods->getSettingsPricingPeriod('261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.pricing_periods.pricing_periods_dto.PricingPeriodsDto.SettingsPricingPeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPricingPeriod> response = client.pricingPeriods().getSettingsPricingPeriod(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PricingPeriods.GetSettingsPricingPeriodAsync("261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.pricingPeriods.getSettingsPricingPeriod(
'261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PricingPeriods().GetSettingsPricingPeriod(context.Background(), "261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"pricing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Pricing periods
Retrieve a pricing period
Returns one pricing period by its id, under pricing_period.
GET
/
settings
/
pricing_periods
/
{pricing_period_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/pricing_periods/261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.pricing_periods.get_settings_pricing_period(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.pricingPeriods.getSettingsPricingPeriod('261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->pricingPeriods->getSettingsPricingPeriod('261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.pricing_periods.pricing_periods_dto.PricingPeriodsDto.SettingsPricingPeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPricingPeriod> response = client.pricingPeriods().getSettingsPricingPeriod(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PricingPeriods.GetSettingsPricingPeriodAsync("261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.pricingPeriods.getSettingsPricingPeriod(
'261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PricingPeriods().GetSettingsPricingPeriod(context.Background(), "261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"pricing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads the pricing period with this
id. time_period is null in this response, even when the pricing period has a time period.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The pricing period's id, as a listing or a create returns it.
Response
The pricing period, under pricing_period.
Show child attributes
Show child attributes